/* Global */

@keyframes fade_in_plus_background {
    0% {
        opacity: 0;
    }
    50% {
        opacity: 0;
        background-color: white;
    }
    100% {
        opacity: 1;
        background-color: transparent;
    }
}

/* Autenticação */

@keyframes fade_in_logo_auth {
    0% {
        opacity: 0;
        transform: translateY(-20%);
    }
    50% {
        opacity: 0;
        transform: translateY(-20%);
    }
    100% {
        opacity: 1;
        transform: scale(1);
    }
}

@keyframes fade_in_divider_auth {
    0% {
        height: 0;
    }
    50% {
        height: 0;
    }
    100% {
        height: 36vh;
    }
}

@keyframes fade_in_layers_auth {
    0% {
        transform: translateY(-100vh);
        filter: blur(10px) brightness(0);
    }
    100% {
        transform: translateY(0);
        filter: blur(0) brightness(1);
    }
}

@keyframes fade_in_toggle_theme_button_auth {
    0% {
        opacity: 0;
        transform: translateY(-100%);
    }
    50% {
        opacity: 0;
        transform: translateY(-100%);
    }
    100% {
        opacity: 0.8;
        transform: translateY(0);
    }
}

@keyframes fade_in_out_validation_auth {
    0% {
        opacity: 0;
    }
    18% {
        opacity: 1;
    }
    72% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}

@keyframes fade_in_out_validation_error_auth {
    0% {
        background-color: var(--highlight-color);
    }
    20% {
        background-color: var(--error-color);
    }
    80% {
        background-color: var(--error-color);
    }
    100% {
        background-color: var(--highlight-color);
    }
}

@keyframes fade_in_out_validation_success_auth {
    0% {
        background-color: var(--highlight-color);
    }
    50% {
        background-color: var(--success-color);
    }
    100% {
        background-color: var(--highlight-color);
    }
}

@keyframes fade_in_rest_auth {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
